diff --git a/board/ronetix/pm9263/Kconfig b/board/ronetix/pm9263/Kconfig
index 5b47d3484503..d6b8cacef553 100644
--- a/board/ronetix/pm9263/Kconfig
+++ b/board/ronetix/pm9263/Kconfig
@@ -1,5 +1,8 @@
 if TARGET_PM9263
 
+config LCD_IN_PSRAM
+	def_bool y
+
 config SYS_BOARD
 	default "pm9263"
 
diff --git a/configs/pm9261_defconfig b/configs/pm9261_defconfig
index bda991795e24..8e5ebaa50b33 100644
--- a/configs/pm9261_defconfig
+++ b/configs/pm9261_defconfig
@@ -63,4 +63,6 @@ CONFIG_DM_VIDEO=y
 CONFIG_ATMEL_LCD=y
 CONFIG_ATMEL_LCD_BGR555=y
 CONFIG_LCD=y
+CONFIG_LCD_INFO=y
+CONFIG_LCD_LOGO=y
 CONFIG_REGEX=y
diff --git a/configs/pm9263_defconfig b/configs/pm9263_defconfig
index c9a8552266f8..2f8380d10a13 100644
--- a/configs/pm9263_defconfig
+++ b/configs/pm9263_defconfig
@@ -67,4 +67,6 @@ CONFIG_DM_VIDEO=y
 CONFIG_ATMEL_LCD=y
 CONFIG_ATMEL_LCD_BGR555=y
 CONFIG_LCD=y
+CONFIG_LCD_INFO=y
+CONFIG_LCD_LOGO=y
 CONFIG_JFFS2_NAND=y
diff --git a/drivers/video/Kconfig b/drivers/video/Kconfig
index 82d4569eab77..1bf7f4a80842 100644
--- a/drivers/video/Kconfig
+++ b/drivers/video/Kconfig
@@ -828,6 +828,18 @@ config LCD
 	  CONFIG option. See the README for details. Drives which have been
 	  converted to driver model will instead used CONFIG_DM_VIDEO.
 
+config LCD_INFO
+	bool "Show LCD info on-screen"
+	depends on LCD
+
+config LCD_LOGO
+	bool "Show a logo on screen"
+	depends on LCD
+
+config LCD_INFO_BELOW_LOGO
+	bool "Show LCD info below the on-screen logo"
+	depends on LCD_INFO && LCD_LOGO
+
 config VIDEO_DW_HDMI
 	bool
 	help
diff --git a/include/configs/at91sam9261ek.h b/include/configs/at91sam9261ek.h
index dcad025541f1..4f43736fc8b6 100644
--- a/include/configs/at91sam9261ek.h
+++ b/include/configs/at91sam9261ek.h
@@ -22,10 +22,7 @@
 
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO
-#define CONFIG_LCD_INFO_BELOW_LOGO
 
 /* SDRAM */
 #define CONFIG_SYS_SDRAM_BASE		0x20000000
diff --git a/include/configs/at91sam9263ek.h b/include/configs/at91sam9263ek.h
index 38ca1f80237f..b5ac6a48a8f2 100644
--- a/include/configs/at91sam9263ek.h
+++ b/include/configs/at91sam9263ek.h
@@ -33,10 +33,7 @@
 
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO			1
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO			1
-#define CONFIG_LCD_INFO_BELOW_LOGO	1
 
 /* SDRAM */
 #define CONFIG_SYS_SDRAM_BASE		ATMEL_BASE_CS1
diff --git a/include/configs/at91sam9m10g45ek.h b/include/configs/at91sam9m10g45ek.h
index ffa090ac1236..f24e7d65313c 100644
--- a/include/configs/at91sam9m10g45ek.h
+++ b/include/configs/at91sam9m10g45ek.h
@@ -18,10 +18,7 @@
 
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO
-#define CONFIG_LCD_INFO_BELOW_LOGO
 
 /* SDRAM */
 #define CONFIG_SYS_SDRAM_BASE           0x70000000
diff --git a/include/configs/at91sam9n12ek.h b/include/configs/at91sam9n12ek.h
index f02239c25052..cd7c271cdc75 100644
--- a/include/configs/at91sam9n12ek.h
+++ b/include/configs/at91sam9n12ek.h
@@ -18,9 +18,6 @@
 /* LCD */
 #define LCD_BPP				LCD_COLOR16
 #define LCD_OUTPUT_BPP			24
-#define CONFIG_LCD_LOGO
-#define CONFIG_LCD_INFO
-#define CONFIG_LCD_INFO_BELOW_LOGO
 
 #define CONFIG_SYS_SDRAM_BASE		0x20000000
 #define CONFIG_SYS_SDRAM_SIZE		0x08000000
diff --git a/include/configs/at91sam9rlek.h b/include/configs/at91sam9rlek.h
index 369b981e3eec..822df8eb89fd 100644
--- a/include/configs/at91sam9rlek.h
+++ b/include/configs/at91sam9rlek.h
@@ -22,10 +22,7 @@
 
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO			1
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO			1
-#define CONFIG_LCD_INFO_BELOW_LOGO	1
 /* Let board_init_f handle the framebuffer allocation */
 #undef CONFIG_FB_ADDR
 
diff --git a/include/configs/colibri_pxa270.h b/include/configs/colibri_pxa270.h
index b34a5c9f2422..17ff703d74bc 100644
--- a/include/configs/colibri_pxa270.h
+++ b/include/configs/colibri_pxa270.h
@@ -38,7 +38,6 @@
 #ifdef CONFIG_LCD
 #define CONFIG_PXA_LCD
 #define CONFIG_PXA_VGA
-#define CONFIG_LCD_LOGO
 #endif
 
 /*
diff --git a/include/configs/colibri_t20.h b/include/configs/colibri_t20.h
index c377187b803c..c45016a83583 100644
--- a/include/configs/colibri_t20.h
+++ b/include/configs/colibri_t20.h
@@ -15,9 +15,6 @@
 #define CONFIG_TEGRA_UARTA_SDIO1
 #define CONFIG_SYS_NS16550_COM1		NV_PA_APB_UARTA_BASE
 
-/* LCD support */
-#define CONFIG_LCD_LOGO
-
 /* NAND support */
 #define CONFIG_SYS_MAX_NAND_DEVICE	1
 
diff --git a/include/configs/pm9261.h b/include/configs/pm9261.h
index fb801b3d241d..056d87488c02 100644
--- a/include/configs/pm9261.h
+++ b/include/configs/pm9261.h
@@ -130,10 +130,7 @@
 
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO			1
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO			1
-#define CONFIG_LCD_INFO_BELOW_LOGO	1
 
 /* SDRAM */
 #define PHYS_SDRAM				0x20000000
diff --git a/include/configs/pm9263.h b/include/configs/pm9263.h
index 52cc0886a65a..7b32e1b75bc5 100644
--- a/include/configs/pm9263.h
+++ b/include/configs/pm9263.h
@@ -141,12 +141,7 @@
  */
 /* LCD */
 #define LCD_BPP				LCD_COLOR8
-#define CONFIG_LCD_LOGO			1
 #undef LCD_TEST_PATTERN
-#define CONFIG_LCD_INFO			1
-#define CONFIG_LCD_INFO_BELOW_LOGO	1
-
-#define CONFIG_LCD_IN_PSRAM		1
 
 /* SDRAM */
 #define PHYS_SDRAM		0x20000000