diff --git a/board/compulab/cl-som-imx7/cl-som-imx7.c b/board/compulab/cl-som-imx7/cl-som-imx7.c
index 9733a33ee2c2..1b08a2c5abf2 100644
--- a/board/compulab/cl-som-imx7/cl-som-imx7.c
+++ b/board/compulab/cl-som-imx7/cl-som-imx7.c
@@ -214,7 +214,7 @@ int board_eth_init(struct bd_info *bis)
 	gpio_set_value(CL_SOM_IMX7_ETH1_PHY_NRST, 1);
 	/* MAC initialization */
 	return fecmxc_initialize_multi(bis, CL_SOM_IMX7_FEC_DEV_ID_PRI,
-				       CONFIG_FEC_MXC_PHYADDR, IMX_FEC_BASE);
+				       CFG_FEC_MXC_PHYADDR, IMX_FEC_BASE);
 }
 
 /*
diff --git a/board/freescale/mx6sxsabreauto/mx6sxsabreauto.c b/board/freescale/mx6sxsabreauto/mx6sxsabreauto.c
index 7340a3440231..9205d5ef6ddb 100644
--- a/board/freescale/mx6sxsabreauto/mx6sxsabreauto.c
+++ b/board/freescale/mx6sxsabreauto/mx6sxsabreauto.c
@@ -104,7 +104,7 @@ int board_eth_init(struct bd_info *bis)
 	setup_fec();
 
 	ret = fecmxc_initialize_multi(bis, 1,
-		CONFIG_FEC_MXC_PHYADDR, IMX_FEC_BASE);
+		CFG_FEC_MXC_PHYADDR, IMX_FEC_BASE);
 	if (ret)
 		printf("FEC%d MXC: %s:failed\n", 1, __func__);
 
diff --git a/doc/README.fec_mxc b/doc/README.fec_mxc
index d27276b8783e..7aadea222f85 100644
--- a/doc/README.fec_mxc
+++ b/doc/README.fec_mxc
@@ -18,7 +18,7 @@ CONFIG_PHYLIB
 CONFIG_FEC_MXC_NO_ANEG
 	Relevant only if PHYLIB not used. Skips auto-negotiation restart.
 
-CONFIG_FEC_MXC_PHYADDR
+CFG_FEC_MXC_PHYADDR
 	Optional, selects the exact phy address that should be connected
 	and function fecmxc_initialize will try to initialize it.
 
diff --git a/drivers/net/fec_mxc.c b/drivers/net/fec_mxc.c
index 659625a29d39..8c231ec80066 100644
--- a/drivers/net/fec_mxc.c
+++ b/drivers/net/fec_mxc.c
@@ -1090,8 +1090,8 @@ static int fec_phy_init(struct fec_priv *priv, struct udevice *dev)
 	int addr;
 
 	addr = device_get_phy_addr(priv, dev);
-#ifdef CONFIG_FEC_MXC_PHYADDR
-	addr = CONFIG_FEC_MXC_PHYADDR;
+#ifdef CFG_FEC_MXC_PHYADDR
+	addr = CFG_FEC_MXC_PHYADDR;
 #endif
 
 	phydev = phy_connect(priv->bus, addr, dev, priv->interface);
diff --git a/include/configs/aristainetos2.h b/include/configs/aristainetos2.h
index b09e06ad4d85..9b11934546c1 100644
--- a/include/configs/aristainetos2.h
+++ b/include/configs/aristainetos2.h
@@ -28,7 +28,7 @@
 /* MMC Configs */
 #define CFG_SYS_FSL_ESDHC_ADDR      USDHC1_BASE_ADDR
 
-#define CONFIG_FEC_MXC_PHYADDR		0
+#define CFG_FEC_MXC_PHYADDR		0
 
 #ifdef CONFIG_IMX_HAB
 #define HAB_EXTRA_SETTINGS \
diff --git a/include/configs/capricorn-common.h b/include/configs/capricorn-common.h
index 63afa6e18969..19c7fca03b29 100644
--- a/include/configs/capricorn-common.h
+++ b/include/configs/capricorn-common.h
@@ -20,7 +20,7 @@
 
 /* ENET1 connects to base board and MUX with ESAI */
 #define CFG_FEC_ENET_DEV		1
-#define CONFIG_FEC_MXC_PHYADDR		0x0
+#define CFG_FEC_MXC_PHYADDR		0x0
 
 /* EEPROM */
 #define  EEPROM_I2C_BUS		0 /* I2C0 */
diff --git a/include/configs/cgtqmx8.h b/include/configs/cgtqmx8.h
index 263981860e86..caa1498acead 100644
--- a/include/configs/cgtqmx8.h
+++ b/include/configs/cgtqmx8.h
@@ -118,6 +118,6 @@
 #define PHYS_SDRAM_2_SIZE		0x100000000	/* 4 GB */
 
 /* Networking */
-#define CONFIG_FEC_MXC_PHYADDR		-1
+#define CFG_FEC_MXC_PHYADDR		-1
 
 #endif /* __CGTQMX8_H */
diff --git a/include/configs/cl-som-imx7.h b/include/configs/cl-som-imx7.h
index 2d56d37f06f8..cde7d3c891ab 100644
--- a/include/configs/cl-som-imx7.h
+++ b/include/configs/cl-som-imx7.h
@@ -13,7 +13,7 @@
 #define CONFIG_MXC_UART_BASE            UART1_IPS_BASE_ADDR
 
 /* Network */
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 
 /* ENET1 */
 #define IMX_FEC_BASE			ENET_IPS_BASE_ADDR
diff --git a/include/configs/cm_fx6.h b/include/configs/cm_fx6.h
index c66cf721870c..47b76c9371e8 100644
--- a/include/configs/cm_fx6.h
+++ b/include/configs/cm_fx6.h
@@ -132,7 +132,7 @@
 /* APBH DMA is required for NAND support */
 
 /* Ethernet */
-#define CONFIG_FEC_MXC_PHYADDR		0
+#define CFG_FEC_MXC_PHYADDR		0
 
 /* USB */
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/imx6_logic.h b/include/configs/imx6_logic.h
index 0df61916b7d2..121b34ae96db 100644
--- a/include/configs/imx6_logic.h
+++ b/include/configs/imx6_logic.h
@@ -19,7 +19,7 @@
 
 
 /* Ethernet Configs */
-#define CONFIG_FEC_MXC_PHYADDR         0
+#define CFG_FEC_MXC_PHYADDR         0
 
 #define CFG_EXTRA_ENV_SETTINGS \
 	"script=boot.scr\0" \
diff --git a/include/configs/imx6dl-mamoj.h b/include/configs/imx6dl-mamoj.h
index b6006c021d5c..162b0b8a69bb 100644
--- a/include/configs/imx6dl-mamoj.h
+++ b/include/configs/imx6dl-mamoj.h
@@ -40,7 +40,7 @@
 /* MMC */
 
 /* Ethernet */
-#define CONFIG_FEC_MXC_PHYADDR		1
+#define CFG_FEC_MXC_PHYADDR		1
 
 /* USB */
 #define CONFIG_MXC_USB_PORTSC			(PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/imx8mm-cl-iot-gate.h b/include/configs/imx8mm-cl-iot-gate.h
index 00ce7fb62a93..7785bdc7cbe6 100644
--- a/include/configs/imx8mm-cl-iot-gate.h
+++ b/include/configs/imx8mm-cl-iot-gate.h
@@ -136,7 +136,7 @@
 #define CFG_SYS_FSL_USDHC_NUM	2
 #define CFG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_FEC_MXC_PHYADDR		0
+#define CFG_FEC_MXC_PHYADDR		0
 
 /* USB Configs */
 #define CONFIG_MXC_USB_PORTSC	(PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/imx8mm_evk.h b/include/configs/imx8mm_evk.h
index d28f3f1972b9..c364e06dc450 100644
--- a/include/configs/imx8mm_evk.h
+++ b/include/configs/imx8mm_evk.h
@@ -61,6 +61,6 @@
 #define PHYS_SDRAM                      0x40000000
 #define PHYS_SDRAM_SIZE			0x80000000 /* 2GB DDR */
 
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 
 #endif
diff --git a/include/configs/imx8mp_evk.h b/include/configs/imx8mp_evk.h
index 63ea25d9788b..cba59dbfd938 100644
--- a/include/configs/imx8mp_evk.h
+++ b/include/configs/imx8mp_evk.h
@@ -21,7 +21,7 @@
 #endif
 
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          1
+#define CFG_FEC_MXC_PHYADDR          1
 
 #define PHY_ANEG_TIMEOUT 20000
 
diff --git a/include/configs/imx8mp_icore_mx8mp.h b/include/configs/imx8mp_icore_mx8mp.h
index 8fac898403f1..03dbeefb7a86 100644
--- a/include/configs/imx8mp_icore_mx8mp.h
+++ b/include/configs/imx8mp_icore_mx8mp.h
@@ -21,7 +21,7 @@
 #endif
 
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          1
+#define CFG_FEC_MXC_PHYADDR          1
 
 #define DWC_NET_PHYADDR			1
 
diff --git a/include/configs/imx8mp_rsb3720.h b/include/configs/imx8mp_rsb3720.h
index ed4da0e69b5b..38ae5f137022 100644
--- a/include/configs/imx8mp_rsb3720.h
+++ b/include/configs/imx8mp_rsb3720.h
@@ -39,7 +39,7 @@
 /* ENET Config */
 /* ENET1 */
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          4
+#define CFG_FEC_MXC_PHYADDR          4
 
 #define PHY_ANEG_TIMEOUT 20000
 
diff --git a/include/configs/imx8mq_evk.h b/include/configs/imx8mq_evk.h
index c40448715f8a..d9ce5d5d0f1a 100644
--- a/include/configs/imx8mq_evk.h
+++ b/include/configs/imx8mq_evk.h
@@ -24,7 +24,7 @@
 /* ENET Config */
 /* ENET1 */
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 #endif
 
 #define BOOT_TARGET_DEVICES(func) \
diff --git a/include/configs/imx8mq_phanbell.h b/include/configs/imx8mq_phanbell.h
index 8fed3e31964c..eb7059f0648c 100644
--- a/include/configs/imx8mq_phanbell.h
+++ b/include/configs/imx8mq_phanbell.h
@@ -21,7 +21,7 @@
 /* ENET Config */
 /* ENET1 */
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 #endif
 
 #define CONFIG_MFG_ENV_SETTINGS \
diff --git a/include/configs/imx8ulp_evk.h b/include/configs/imx8ulp_evk.h
index 30dd5af03b00..b7397f6038fd 100644
--- a/include/configs/imx8ulp_evk.h
+++ b/include/configs/imx8ulp_evk.h
@@ -21,7 +21,7 @@
 #if defined(CONFIG_FEC_MXC)
 #define PHY_ANEG_TIMEOUT		20000
 
-#define CONFIG_FEC_MXC_PHYADDR		1
+#define CFG_FEC_MXC_PHYADDR		1
 #endif
 
 #ifdef CONFIG_DISTRO_DEFAULTS
diff --git a/include/configs/kontron_pitx_imx8m.h b/include/configs/kontron_pitx_imx8m.h
index d909bbbbcfda..4dd51c7f1d7f 100644
--- a/include/configs/kontron_pitx_imx8m.h
+++ b/include/configs/kontron_pitx_imx8m.h
@@ -25,7 +25,7 @@
 
 /* ENET1 Config */
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 
 #define PHY_ANEG_TIMEOUT		20000
 
diff --git a/include/configs/liteboard.h b/include/configs/liteboard.h
index 7200c69bd9e6..0b8781d7bf34 100644
--- a/include/configs/liteboard.h
+++ b/include/configs/liteboard.h
@@ -102,7 +102,7 @@
 #ifdef CONFIG_CMD_NET
 #define CFG_FEC_ENET_DEV		0
 
-#define CONFIG_FEC_MXC_PHYADDR		0x0
+#define CFG_FEC_MXC_PHYADDR		0x0
 #endif
 
 #endif
diff --git a/include/configs/m53menlo.h b/include/configs/m53menlo.h
index 9c37212463e1..4123964256bd 100644
--- a/include/configs/m53menlo.h
+++ b/include/configs/m53menlo.h
@@ -55,7 +55,7 @@
  * Ethernet on SOC (FEC)
  */
 #ifdef CONFIG_CMD_NET
-#define CONFIG_FEC_MXC_PHYADDR		0x0
+#define CFG_FEC_MXC_PHYADDR		0x0
 #endif
 
 #define CFG_SYS_RTC_BUS_NUM		1 /* I2C2 */
diff --git a/include/configs/mccmon6.h b/include/configs/mccmon6.h
index 7ea682049261..4be47e78d676 100644
--- a/include/configs/mccmon6.h
+++ b/include/configs/mccmon6.h
@@ -32,7 +32,7 @@
 #define CFG_SYS_FLASH_BANKS_SIZES	{ (32 * SZ_1M) }
 
 /* Ethernet Configuration */
-#define CONFIG_FEC_MXC_PHYADDR		1
+#define CFG_FEC_MXC_PHYADDR		1
 
 #define CFG_EXTRA_ENV_SETTINGS \
 	"console=ttymxc0,115200 quiet\0" \
diff --git a/include/configs/msc_sm2s_imx8mp.h b/include/configs/msc_sm2s_imx8mp.h
index ef2111cd20ab..1cd0b3cf7374 100644
--- a/include/configs/msc_sm2s_imx8mp.h
+++ b/include/configs/msc_sm2s_imx8mp.h
@@ -17,7 +17,7 @@
 #define CFG_SYS_UBOOT_BASE	(QSPI0_AMBA_BASE + CONFIG_SYS_MMCSD_RAW_MODE_U_BOOT_SECTOR * 512)
 
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR          1
+#define CFG_FEC_MXC_PHYADDR          1
 #define PHY_ANEG_TIMEOUT 20000
 #endif
 
diff --git a/include/configs/mx6sxsabreauto.h b/include/configs/mx6sxsabreauto.h
index 9d8737c19425..3399cdd16fa8 100644
--- a/include/configs/mx6sxsabreauto.h
+++ b/include/configs/mx6sxsabreauto.h
@@ -93,7 +93,7 @@
 /* Network */
 
 #define IMX_FEC_BASE			ENET2_BASE_ADDR
-#define CONFIG_FEC_MXC_PHYADDR          0x0
+#define CFG_FEC_MXC_PHYADDR          0x0
 
 #ifdef CONFIG_CMD_USB
 #define CONFIG_MXC_USB_PORTSC  (PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/mx6sxsabresd.h b/include/configs/mx6sxsabresd.h
index 8372f979dc86..c99d99abc179 100644
--- a/include/configs/mx6sxsabresd.h
+++ b/include/configs/mx6sxsabresd.h
@@ -115,7 +115,7 @@
 
 /* Network */
 
-#define CONFIG_FEC_MXC_PHYADDR          0x1
+#define CFG_FEC_MXC_PHYADDR          0x1
 
 #ifdef CONFIG_CMD_USB
 #define CONFIG_MXC_USB_PORTSC  (PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/mx6ul_14x14_evk.h b/include/configs/mx6ul_14x14_evk.h
index efc599f37a6d..5e3695ecc971 100644
--- a/include/configs/mx6ul_14x14_evk.h
+++ b/include/configs/mx6ul_14x14_evk.h
@@ -124,9 +124,9 @@
 #define CFG_FEC_ENET_DEV		1
 
 #if (CFG_FEC_ENET_DEV == 0)
-#define CONFIG_FEC_MXC_PHYADDR          0x2
+#define CFG_FEC_MXC_PHYADDR          0x2
 #elif (CFG_FEC_ENET_DEV == 1)
-#define CONFIG_FEC_MXC_PHYADDR		0x1
+#define CFG_FEC_MXC_PHYADDR		0x1
 #endif
 #endif
 
diff --git a/include/configs/nitrogen6x.h b/include/configs/nitrogen6x.h
index e1689679e5f6..811688ae82af 100644
--- a/include/configs/nitrogen6x.h
+++ b/include/configs/nitrogen6x.h
@@ -20,7 +20,7 @@
 #define CFG_SYS_FSL_USDHC_NUM       2
 
 #define IMX_FEC_BASE			ENET_BASE_ADDR
-#define CONFIG_FEC_MXC_PHYADDR		6
+#define CFG_FEC_MXC_PHYADDR		6
 
 /* USB Configs */
 #define CONFIG_MXC_USB_PORTSC	(PORT_PTS_UTMI | PORT_PTS_PTW)
diff --git a/include/configs/npi_imx6ull.h b/include/configs/npi_imx6ull.h
index 8f052c5ae38f..664d4f11c867 100644
--- a/include/configs/npi_imx6ull.h
+++ b/include/configs/npi_imx6ull.h
@@ -35,7 +35,7 @@
 #define CONFIG_MXC_USB_FLAGS		0
 
 #ifdef CONFIG_CMD_NET
-#define CONFIG_FEC_MXC_PHYADDR		0x1
+#define CFG_FEC_MXC_PHYADDR		0x1
 #endif
 
 #define CFG_FEC_ENET_DEV		1
diff --git a/include/configs/pico-imx6.h b/include/configs/pico-imx6.h
index 66258a3ab73b..e1f7b7003194 100644
--- a/include/configs/pico-imx6.h
+++ b/include/configs/pico-imx6.h
@@ -98,6 +98,6 @@
 /* Environment organization */
 
 /* Ethernet Configuration */
-#define CONFIG_FEC_MXC_PHYADDR		1
+#define CFG_FEC_MXC_PHYADDR		1
 
 #endif			       /* __CONFIG_H * */
diff --git a/include/configs/pico-imx6ul.h b/include/configs/pico-imx6ul.h
index a4b97451cfdc..6148a343117d 100644
--- a/include/configs/pico-imx6ul.h
+++ b/include/configs/pico-imx6ul.h
@@ -15,7 +15,7 @@
 
 /* Network support */
 
-#define CONFIG_FEC_MXC_PHYADDR		0x1
+#define CFG_FEC_MXC_PHYADDR		0x1
 
 #define CONFIG_MXC_UART_BASE		UART6_BASE_ADDR
 
diff --git a/include/configs/pico-imx8mq.h b/include/configs/pico-imx8mq.h
index ac25991703f2..1d8709180c83 100644
--- a/include/configs/pico-imx8mq.h
+++ b/include/configs/pico-imx8mq.h
@@ -21,7 +21,7 @@
 /* ENET Config */
 /* ENET1 */
 #if defined(CONFIG_CMD_NET)
-#define CONFIG_FEC_MXC_PHYADDR		1
+#define CFG_FEC_MXC_PHYADDR		1
 #endif
 
 /* Initial environment variables */
diff --git a/include/configs/somlabs_visionsom_6ull.h b/include/configs/somlabs_visionsom_6ull.h
index e13280563513..3418d4e2b559 100644
--- a/include/configs/somlabs_visionsom_6ull.h
+++ b/include/configs/somlabs_visionsom_6ull.h
@@ -66,7 +66,7 @@
 #endif
 
 #ifdef CONFIG_CMD_NET
-#define CONFIG_FEC_MXC_PHYADDR		0x1
+#define CFG_FEC_MXC_PHYADDR		0x1
 #endif
 
 #endif
diff --git a/include/configs/tqma6_mba6.h b/include/configs/tqma6_mba6.h
index 899c218727f3..a5f14dc42679 100644
--- a/include/configs/tqma6_mba6.h
+++ b/include/configs/tqma6_mba6.h
@@ -9,7 +9,7 @@
 #ifndef __CONFIG_TQMA6_MBA6_H
 #define __CONFIG_TQMA6_MBA6_H
 
-#define CONFIG_FEC_MXC_PHYADDR		0x03
+#define CFG_FEC_MXC_PHYADDR		0x03
 
 #define CONFIG_MXC_UART_BASE		UART2_BASE
 #define CONSOLE_DEV		"ttymxc1"
diff --git a/include/configs/tqma6_wru4.h b/include/configs/tqma6_wru4.h
index 4d8839b6e60d..34c9b6a2f97c 100644
--- a/include/configs/tqma6_wru4.h
+++ b/include/configs/tqma6_wru4.h
@@ -7,7 +7,7 @@
 #define __CONFIG_TQMA6_WRU4_H
 
 /* Ethernet */
-#define CONFIG_FEC_MXC_PHYADDR		0x01
+#define CFG_FEC_MXC_PHYADDR		0x01
 
 /* UART */
 #define CONFIG_MXC_UART_BASE		UART4_BASE
diff --git a/include/configs/vf610twr.h b/include/configs/vf610twr.h
index 0e0b3a7b594d..d10b88f15754 100644
--- a/include/configs/vf610twr.h
+++ b/include/configs/vf610twr.h
@@ -21,7 +21,7 @@
 
 #define CFG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_FEC_MXC_PHYADDR          0
+#define CFG_FEC_MXC_PHYADDR          0
 
 /* I2C Configs */
 
diff --git a/include/configs/vining_2000.h b/include/configs/vining_2000.h
index 1a71b300fc55..c84353ebea66 100644
--- a/include/configs/vining_2000.h
+++ b/include/configs/vining_2000.h
@@ -34,7 +34,7 @@
 #define CONFIG_POWER_PFUZE100_I2C_ADDR	0x08
 
 /* Network */
-#define CONFIG_FEC_MXC_PHYADDR          0x0
+#define CFG_FEC_MXC_PHYADDR          0x0
 
 #define CONFIG_MXC_USB_PORTSC  (PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS   0
diff --git a/include/configs/xpress.h b/include/configs/xpress.h
index d095e63182ee..ce6ca175363b 100644
--- a/include/configs/xpress.h
+++ b/include/configs/xpress.h
@@ -32,7 +32,7 @@
 #define CONFIG_MXC_USB_FLAGS		0
 
 #define CFG_FEC_ENET_DEV		0
-#define CONFIG_FEC_MXC_PHYADDR          0x0
+#define CFG_FEC_MXC_PHYADDR          0x0
 
 #define CONFIG_UBOOT_SECTOR_START	0x2
 #define CONFIG_UBOOT_SECTOR_COUNT	0x3fe
diff --git a/scripts/config_whitelist.txt b/scripts/config_whitelist.txt
index 1917a8d090b2..901914ac043c 100644
--- a/scripts/config_whitelist.txt
+++ b/scripts/config_whitelist.txt
@@ -27,7 +27,7 @@ CFG_FDTADDR
 CFG_FDTFILE
 CFG_FEC_ENET_DEV
 CFG_FEC_FIXED_SPEED
-CONFIG_FEC_MXC_PHYADDR
+CFG_FEC_MXC_PHYADDR
 CONFIG_FLASH_BR_PRELIM
 CONFIG_FLASH_OR_PRELIM
 CONFIG_FLASH_SECTOR_SIZE